## normality 2.4.0

=== Makefile ===

all: clean test

install:
	pip install -q '.[dev]'

test: install
	pytest
	mypy --strict normality

clean:
	rm -rf dist build .eggs .mypy_cache .pytest_cache
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +

=== debian/changelog ===
normality (2.4.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 05 Feb 2023 12:12:07 +0100

normality (2.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1029406)

 -- Edward Betts <edward@4angle.com>  Sun, 22 Jan 2023 19:53:30 +0000

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-pytest, python3-icu, @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/normality-$1\.tar\.gz/ \
  https://github.com/pudo/normality/tags .*/v?(\d\S+)\.tar\.gz

## normality 2.5.0

=== debian/changelog ===
normality (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 11 Oct 2023 05:19:24 +0100

=== debian/control ===
Source: normality
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-banal,
               python3-chardet,
               python3-charset-normalizer,
               python3-icu,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-text-unidecode
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/pudo/normality
Vcs-Browser: https://salsa.debian.org/python-team/packages/normality
Vcs-Git: https://salsa.debian.org/python-team/packages/normality.git

Package: python3-normality
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python3-icu
Description: Micro-library to normalize text strings in Python
 Normality is a Python micro-package that contains a small set of text
 normalization functions for easier re-use. These functions accept a
 snippet of Unicode or UTF-8 encoded text and remove various classes
 of characters, such as diacritics, punctuation etc. This is useful as
 a preparation to further text analysis.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=normality
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf normality.egg-info/

## normality 2.6.1

=== debian/changelog ===
normality (2.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Upstream switched from setuptools to hatchling.
  * Update copyright year.
  * Update Standards-Version.
  * Move packages required for tests to Build-Depends-Indep.
  * Simplify debian/watch.
  * Simplify debian/rules.

 -- Edward Betts <edward@4angle.com>  Sat, 11 Jan 2025 07:32:42 +0000

normality (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version
  * Replace hand-written running of the tests with pybuild-autopkgtest

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 26 Apr 2024 09:18:00 +0200

=== debian/control ===
Source: normality
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
Build-Depends-Indep:
 python3-banal <!nocheck>,
 python3-chardet <!nocheck>,
 python3-charset-normalizer <!nocheck>,
 python3-icu <!nocheck>,
 python3-pytest <!nocheck>,
 python3-text-unidecode <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/pudo/normality
Vcs-Browser: https://salsa.debian.org/python-team/packages/normality
Vcs-Git: https://salsa.debian.org/python-team/packages/normality.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-normality
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-icu,
Description: Micro-library to normalize text strings in Python
 Normality is a Python micro-package that contains a small set of text
 normalization functions for easier re-use. These functions accept a
 snippet of Unicode or UTF-8 encoded text and remove various classes
 of characters, such as diacritics, punctuation etc. This is useful as
 a preparation to further text analysis.

=== debian/watch ===
version=4
https://github.com/pudo/normality/tags .*/v?(\d\S+)\.tar\.gz

## normality 3.0.1

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,12 @@
 install:
 	pip install -q '.[dev]'
 
-test: install
+check: test typecheck
+
+test:
 	pytest
+
+typecheck:
 	mypy --strict normality
 
 clean:

=== debian/changelog ===
normality (3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 30 Jul 2025 16:14:16 +0100

normality (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Uploading to experimental due to the freeze.

 -- Edward Betts <edward@4angle.com>  Sun, 27 Jul 2025 08:19:36 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-pytest <!nocheck>,
  python3-text-unidecode <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/pudo/normality
 Vcs-Browser: https://salsa.debian.org/python-team/packages/normality
 Vcs-Git: https://salsa.debian.org/python-team/packages/normality.git

## normality 3.0.2

=== debian/changelog ===
normality (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sat, 13 Sep 2025 07:20:30 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-icu <!nocheck>,
  python3-pytest <!nocheck>,
  python3-text-unidecode <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/pudo/normality
 Vcs-Browser: https://salsa.debian.org/python-team/packages/normality

=== debian/watch ===
Version: 5

Template: Github
Owner: pudo
Project: normality
